Package org.apache.sysds.runtime.functionobjects

# Enum Class ParameterizedBuiltin.ProbabilityDistributionCode

java.lang.Object
java.lang.Enum<ParameterizedBuiltin.ProbabilityDistributionCode>
org.apache.sysds.runtime.functionobjects.ParameterizedBuiltin.ProbabilityDistributionCode

All Implemented Interfaces:
  `Serializable`, `Comparable<ParameterizedBuiltin.ProbabilityDistributionCode>`, `Constable`

Enclosing class:
  ParameterizedBuiltin

public static enum ParameterizedBuiltin.ProbabilityDistributionCode extends Enum<ParameterizedBuiltin.ProbabilityDistributionCode>

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`CHISQ`
`EXP`
`F`
`INVALID`
`NORMAL`
`T`

## Method Summary

Modifier and Type
Method
Description
`static ParameterizedBuiltin.ProbabilityDistributionCode`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static ParameterizedBuiltin.ProbabilityDistributionCode[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### INVALID

public static final ParameterizedBuiltin.ProbabilityDistributionCode INVALID

### NORMAL

public static final ParameterizedBuiltin.ProbabilityDistributionCode NORMAL

### EXP

public static final ParameterizedBuiltin.ProbabilityDistributionCode EXP

### CHISQ

public static final ParameterizedBuiltin.ProbabilityDistributionCode CHISQ

### F

public static final ParameterizedBuiltin.ProbabilityDistributionCode F

### T

public static final ParameterizedBuiltin.ProbabilityDistributionCode T

## Method Details

### values

public static ParameterizedBuiltin.ProbabilityDistributionCode[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static ParameterizedBuiltin.ProbabilityDistributionCode valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null